The Archer-51 is a small, nimble repurposed patrol craft. It previously
served in the Sol System Space Force before being scuttled off Earth. It
was then acquired by a guild known as The Bowyers' And Fletchers'
Company shortly before the exodus, upgraded with equipment suitable for
flight into deep space, and launched with a crew of twelve. Space
Specialist M. Stephens awoke from hibernation to find the rest of the
crew missing in action. The story begins here.
